#include "Command.h"
#include "Session.h"

namespace core {
   
   int Command::processCommand(std::string request, Session *session, std::stringstream &data) {}
   
   void Command::output(Session *session) {}
   
   bool Command::check(std::string request) {				
      if(request != "") {
	 if(name.length() > 0) { 
	    size_t start = request.find_first_not_of(" ");
	    if(name == request.substr(start, name.length()))
	      return true;
	 }		
	 return false;
      }
   }
   
   void Command::setName(std::string name) {
      this->name = name;
   }
   
   std::string Command::getName() {
      return name;
   }
   
}
